@font-face {
  font-family: "mainfont";
  src: url("../Hacen Liner Print-out Light.ttf");
}
@font-face {
  font-family: "boldfont";
  src: url("../alfont_com_خط-لاينر-عريض1.ttf");
}
body {
  font-family: "mainfont", sans-serif;
  background-color: #eeeeee;
  font-size: 13px !important;
}
body.show-pr {
  font-family: "mainfont", sans-serif !important;
  font-size: 13px !important;
}
.font-bold {
  font-family: "boldfont", sans-serif;
}
:root {
  --main-ba: #219b7e;
}
/* ///navbar/// */
.navbar {
  padding: 5px 7px;
  background-color: var(--main-ba);
  background-size: cover;
}

.logo-img {
  max-width: 110px;
  width: 100%;
  height: 100%;
}
.last-nav {
  font-size: 9px;
}
.detilas-nav {
  font-size: 12px;
}

.account {
  padding: 20px 0;
}
.box-one {
  background-color: var(--main-ba);
  width: 94%;
  margin: auto;
  border-radius: 4px;
  padding: 17px;
}
.box-left {
  background-color: var(--main-ba);
  border-radius: 2px;
  padding: 20px 10px;
  width: 20%;
  height: 210px;
  margin: 18px 0px;
  -webkit-border-radius: 2px;
  -moz-border-radius: 2px;
  -ms-border-radius: 2px;
  -o-border-radius: 2px;
}

.bella {
  border-top: 2px solid white;
  padding: 5px;
}
.icon-left span {
  font-size: 16px;
  font-family: "Times New Roman", Times, serif;
}
.box-right {
  font-size: 14px;

  width: 20%;
  height: 50px;
  margin: 18px 0px;
}
.butfliter {
  margin: 10px 0;
}
.links {
  background-color: #dddddd;
  border-radius: 2px;
  padding: 16px 20px;
  color: #555555;
  margin: 3px 0px;
  -webkit-border-radius: 2px;
  -moz-border-radius: 2px;
  -ms-border-radius: 2px;
  -o-border-radius: 2px;
}
.links i {
  font-size: 22px;
}
.text h3 {
  font-size: 16px;
  font-weight: bold;
}
.select-num {
  border: none !important;
  background-color: transparent;
  outline: none;
}
.box-details {
  box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;
  width: 94%;
  margin: auto;
  border-radius: 4px;
  padding: 20px;
}
.text-detilasywo {
  background-color: rgba(198, 255, 67, 0.5);
  text-align: center;
  padding: 10px 5px;
}
.text-detilas p {
  color: #555555;
}
.dedline {
  color: #555555;
}
.pric {
  color: #555555;
}
.btns {
  display: flex;
  border: 1px solid #006b4e;
}
.item {
  flex: 1;
  padding: 9px;
  width: 150px;
  text-align: center;
  border: 1px solid #777777;
  background-color: #ffffff;
}

.btns .item.active {
  background-color: #4d9786; /* اللون النشط */
  color: white;
}
.item:last-child {
  border-right: none;
}
.btnsthree {
  display: flex;
}
.item {
  flex: 1;
  width: 145px;
  text-align: center;
  border: 1px solid #777777;
  background-color: #ffffff;
}

.btnsthree .item.active {
  background-color: #4d9786;
  color: white;
}
.item:last-child {
  border-right: none;
}
.butfliter button {
  width: 100px;
  padding: 7px;
  border: 1px solid #777777;
  border-radius: 1px;
  -webkit-border-radius: 1px;
  -moz-border-radius: 1px;
  -ms-border-radius: 1px;
  -o-border-radius: 1px;
}

.bu-time {
  background: transparent;
}
.bu-date.active,
.bu-time.active {
  background-color: #4d9786; /* اللون النشط */
  color: white;
}

.select-dedline {
  width: 300px;
  padding: 12px;
  text-align: end !important;
  font-size: 14px !important;
  outline: none;
}

.date-picker input {
  width: 140px;
  padding: 8px;
  border: 1px solid #777777;
  outline: none;
  font-size: 14px !important;
}

.date-picker label {
  color: #555555;
}
.search {
  background-color: #006a52;
  width: 75px;
  padding: 10px;
  font-weight: bold;
  border: none;
  color: #ffffff;
  text-align: center;
  outline: none;
  border-radius: 35px 35px;
  -webkit-border-radius: 35px 35px;
  -moz-border-radius: 35px 35px;
  -ms-border-radius: 35px 35px;
  -o-border-radius: 35px 35px;
}
.icons i {
  font-size: 18px;
  cursor: pointer;
}

table {
  width: 100%;
  border-collapse: collapse;
  margin-top: 20px;
}
#tan {
  overflow-x: auto;
}
th,
td {
  border-bottom: 1px solid #ddd;
  padding: 8px;
  text-align: right;
  color: #555555;
  font-size: 13px;
}

th {
  background-color: transparent;
}

.export-buttons {
  margin-top: 20px;
}
.tac {
  font-size: 13px;
  font-weight: bold;
  color: black;
}
.tasd {
  font-size: 14px;
  color: black;
}

/* //media/// */
/* //media/// */
@media (max-width: 477px) {
  .text-detilas {
    flex-wrap: wrap;
    align-items: center !important;
  }
  .select-dedline {
    width: 316px !important;
    padding: 12px;
    text-align: end !important;
    font-size: 14px !important;
    outline: none;
    margin: 10px 0px;
  }
  .date-picker input {
    width: 144px;
    padding: 8px;
    border: 1px solid #777777;
    outline: none;
    font-size: 14px !important;
  }
  .date-picker {
    display: flex;
    margin: 10px 0px;
  }
  .text-detilasywo {
    background-color: rgba(198, 255, 67, 0.5);
    text-align: center;
    padding: 10px 2px;
    width: 100;
  }
  .date-picker label {
    color: #555555;
    padding: 4px;
  }
  .one {
    font-size: 16px;
  }

  .box-one {
    background-color: var(--main-ba);
    width: 95%;
    margin: auto;
    border-radius: 4px;
    padding: 17px;
  }
  .box-details {
    box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;
    width: 95%;
    margin: auto;
    border-radius: 4px;
    padding: 20px;
  }
  .logo-img {
    max-width: 100px;
    width: 100%;
    height: 100%;
  }
  .butfliter {
    margin: 10px 0;
  }
}

.flex-group-me {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 10px;
}
.logo-main {
  max-width: 200px;
}
.flex-big-gap {
  display: flex;
  /* align-items: center; */
  gap: 12px;
}
.font-bold {
  font-weight: bold;
}
.text-head-main {
  padding: 10px;
  background-color: var(--main-ba);
  color: #fff;
  margin-bottom: 0;
  font-weight: bold;
  font-size: 18px;
  font-family:  "boldfont", sans-serif;
}
.change-style table th {
  background-color: #bdd7ce;
  color: var(--main-ba);
  padding: 8px;
}
.change-style table td {
  background-color: #fff;
  color: #000;
  padding: 8px;
  min-height: 100px;
  vertical-align: middle;
}
.change-style table td:first-child {
  min-width: 130px;
}
.change-style table th:not(th:last-child) {
  border-left: 1px solid var(--main-ba);
}
.change-style table td:not(td:last-child) {
  border-left: 1px solid var(--main-ba);
}
.change-style table tr:nth-child(odd) td {
  background-color: #ddd;
}
/* .change-style-show {
  display: none;
} */
.change-style table {
  margin-top: 0 !important;
}
.flex-big-gap .font-bold {
  min-width: 150px;
}
.foot-pdf {
  text-align: center;
  color: var(--main-ba);
  padding: 12px;
  width: 100%;
  margin: auto;
  /* display: none; */
  margin-top: 10px;
}
.show-pr .container {
  max-width: max-content;
}
.show-pr {
  flex-grow: 1;
  width: calc(100% + 80px);
}

@media print {
  .show-me {
    display: block !important;
  }
  body * {
    visibility: hidden;
    -webkit-print-color-adjust: exact;
  }
  .print-table,
  .print-table *:not(.hide-with-print *) {
    visibility: visible !important;
    color: black;
  }
  .print-table {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
  }
  .hide-with-print {
    display: none;
  }
  @page {
    margin-top: 10px;
    margin-right: 0;
    margin-left: 0;
    /* margin-bottom: 0; */
    size: landscape;
    /* size: auto; */
    margin-bottom: 10px;
  }
  body {
    padding: 0;
    margin: 0;
    position: relative;
    font-family: sans-serif;
    padding-bottom: 70px;
  }
  thead th {
    background-color: var(--main-ba);
    color: #fff !important;
  }
  th,
  td {
    white-space: normal;
    /* min-width: 70px; */
    /* text-align: center; */
  }
  td:first-child {
    min-width: 110px;
  }
  .box-details {
    width: 100%;
    box-shadow: none;
  }
  .change-style-show {
    display: block !important;
  }
  table th {
    background-color: #bdd7ce;
    color: var(--main-ba) !important;
    padding: 8px;
  }
  table td {
    background-color: #fff;
    color: #000;
    padding: 8px;
    min-height: 100px;
    vertical-align: middle;
  }
  table td:first-child {
    min-width: 150px;
  }
  table th:not(th:last-child) {
    border-left: 1px solid var(--main-ba);
  }
  table td:not(td:last-child) {
    border-left: 1px solid var(--main-ba);
  }
  table tr:nth-child(odd) td {
    background-color: #ddd;
  }

  table {
    margin-top: 0 !important;
  }
  .text-head-main {
    color: #fff !important;
  }
  .footer-columns {
    margin-block: 12px;
    page-break-inside: avoid;
    color: var(--main-ba) !important;
  }
  .empty-space {
    height: 100px;
    page-break-after: always; /* Optional: Force a page break after the empty space */
  }
  .foot-pdf {
    /* bottom: -100px; */
    page-break-inside: avoid;
  }
  table {
    page-break-after: always;
  }
}
.foot-pdf {
  /* display: none; */
  /* transform: translateX(-50%); */
  width: 100% !important;
  color: var(--main-ba) !important;
}
body.show-pr table td {
  padding-block: 85px !important;
  font-size: 23px;

}
/* body table th {
  font-weight: bold;
  font-family:  "boldfont", sans-serif;
} */
table{
   margin-top: 0;
}
body.show-pr table th{
  min-width: 120px;
  font-size: 20px;
}
body.show-pr table td:nth-child(2){
  max-width: 250px;
}
.thirdMad{
  direction: ltr;
}
body.show-pr .box-right , body.show-pr .box-left{
  display: none;
}
body.show-pr{
  font-size: 16px !important;
}





/* new addedd style to table */
.dt-buttons , .dataTables_filter , .dataTables_info{
  display: none;
}
.table>:not(caption)>*>*{
  padding: 15px !important;
}
.table thead th{
  min-width: 100px;
}
.content-mrg , .content-mrg2{
  display: none;
}
.logo-main {
  max-width: 90px;
}
.text-head-main {
  padding: 4px 7px;
  background-color: #016855;
  color: #fff;
  margin-bottom: 0;
  font-weight: bold;
  font-size: 16px;
  font-family:  "boldfont", sans-serif;
}
.spinnermain {
color: var(--main);
display: inline-block;
position: relative;
width: 80px;
height: 80px;
}
.spinnermain div {
transform-origin: 40px 40px;
animation: spinner 1.2s linear infinite;
}
.spinnermain div:after {
content: " ";
display: block;
position: absolute;
top: 3px;
left: 37px;
width: 6px;
height: 18px;
border-radius: 20%;
background: #fff;
}
.spinnermain div:nth-child(1) {
transform: rotate(0deg);
animation-delay: -1.1s;
}
.spinnermain div:nth-child(2) {
transform: rotate(30deg);
animation-delay: -1s;
}
.spinnermain div:nth-child(3) {
transform: rotate(60deg);
animation-delay: -0.9s;
}
.spinnermain div:nth-child(4) {
transform: rotate(90deg);
animation-delay: -0.8s;
}
.spinnermain div:nth-child(5) {
transform: rotate(120deg);
animation-delay: -0.7s;
}
.spinnermain div:nth-child(6) {
transform: rotate(150deg);
animation-delay: -0.6s;
}
.spinnermain div:nth-child(7) {
transform: rotate(180deg);
animation-delay: -0.5s;
}
.spinnermain div:nth-child(8) {
transform: rotate(210deg);
animation-delay: -0.4s;
}
.spinnermain div:nth-child(9) {
transform: rotate(240deg);
animation-delay: -0.3s;
}
.spinnermain div:nth-child(10) {
transform: rotate(270deg);
animation-delay: -0.2s;
}
.spinnermain div:nth-child(11) {
transform: rotate(300deg);
animation-delay: -0.1s;
}
.spinnermain div:nth-child(12) {
transform: rotate(330deg);
animation-delay: 0s;
}
@keyframes spinner {
0% {
opacity: 1;
}
100% {
opacity: 0;
}
}
.abs-ajax-loader {
position: absolute;
top: 50%;
left: 50%;
transform: translate(-50%, -50%);
background-color: rgba(0, 0, 0, 0.4);
width: 100%;
height: 100%;
display: flex;
align-items: center;
justify-content: center;
z-index: 22;
display: none;
min-height: 200px !important;
border-radius: 10px;
}
.date-picker input {
    width: 116px;
    padding: 8px;
    border: 1px solid #777777;
    outline: none;
    font-size: 14px !important;
}

